Download binaries for Debian Etch 4.0 64bit from http://www.salome-platform.org/downloads/salome-v5.1.3

Extract InstallWizard_5.1.3_Debian_4.0_64bit.tar.gz

Open a gnome-terminal and execute Python script

$ ./runInstall

Capture-SALOME_5.1.3_Installation_Wizard_-_Step_1_of_8.png

Capture-SALOME_5.1.3_Installation_Wizard_-_Step_2_of_8.png

Capture-SALOME_5.1.3_Installation_Wizard_-_Step_3_of_8.png

Capture-SALOME_v5.1.3_Installation_Wizard_-_Step_4_of_8.png

Capture-Error.png

Error related file permissions

As user

$ sudo rm /bin/sh $ sudo ln -s /bin/bash /bin/sh

After that the wizard should work without problems.

Redo all steps.

Capture-SALOME_v5.1.3_Installation_Wizard_-_Step_5_of_8.png

If SALOME modules are not installed in a single folder, SALOME may not work in the CSH shell since the environment variables are too long by default. In this case, it is suggested to use SH or to install all modules in the same folder.

Capture-SALOME_v5.1.3_Installation_Wizard_-_Step_6_of_8.png

Capture-SALOME_v5.1.3_Installation_Wizard_-_Step_7_of_8.png

Capture-SALOME_v5.1.3_Installation_Wizard_-_Step_7_of_8.png

Error related libgfortran.so.1

$ sudo apt-get install gfortran
libgfortran.so.3 is installed in /usr/lib so to declare libgfortran.so.1
$ sudo ln -s /usr/lib/libgfortran.so.3 /usr/lib/libgfortran.so.1
$ sudo ldconfig
$ sudo updatedb

Error related libcppunit-1.12.so.0

$ sudo apt-get install libcppunit-dev
install libcppunit-1.12-1
$ sudo ln -s /usr/lib/libcppunit-1.12.so.1 /usr/lib/libcppunit-1.12.so.0

Error related to libg2c.so.0

Search package :
http://packages.ubuntu.com/search?keywords=libg2c0&searchon=all&suite=all&section=all

use Karmic or Jaunty amd64 download package and install :
$ sudo dpkg --force-depends -i libg2c0_3.4.6-8ubuntu2_amd64.deb

Error related libBLSurf.so

$ sudo apt-get install libBLSurf didn't worked.
I haven't found solution.
To finish :

Capture-SALOME_v5.1.3_Installation_Wizard_-_Step_8_of_8.png

Now launch Salome :

Go to target directory for example ~/salome_5.1.3

$ source env_products.sh
$ runSalome
Good game !

Capture-SALOME_5.1.3_-__Study1_.png

ADD-ON

Install of package libg2c0_3.4.6-8ubuntu2_amd64.deb , has broken automatic update of Ubuntu packages.

To solve this problem, apply the following instructions:

$ sudo apt-get -f update
(remove libg2c0_3.4.6-8ubuntu2_amd64.deb )

download libg2c.so.0 from
http://mirror.centos.org/centos/5.4/os/x86_64/CentOS/compat-libf2c-34-3.4.6-4.x86_64.rpm

Extract file libg2c.so.0.0.0 and copy to /usr/lib64
$ sudo ln -s /usr/lib64/libg2c.so.0.0.0 /usr/lib64/libg2c.so.0
$ sudo ldconfig

Here is direct link to libg2c.so.0.0.0
libg2c.so.0.0.0

Thank you for you attention.

Feedback can be send to :
(only lowercase , no AB and NOSPAM)
ABNOSPAMwwikiABNOSPAM@free.fr

References

http://code-saturne.blogspot.com/2009/12/installation-of-salome-512-on-kubuntu.html

http://salome-platform.net/